## ros-galactic-rmw-fastrtps-cpp 5.0.2

=== debian/changelog ===
ros-galactic-rmw-fastrtps-cpp (5.0.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (5.0.1-1focal) focal; urgency=high

  * [Galactic] Loan messages implementation (#547 <https://github.com/ros2/rmw_fastrtps/issues/547>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 18 Aug 2021 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (5.0.0-1focal) focal; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.5.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.4.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Contributors: Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Mar 2021 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.3.0-1focal) focal; urgency=high

  * Load profiles based on topic names (#335 <https://github.com/ros2/rmw_fastrtps/issues/335>)
  * Set rmw_dds_common::GraphCache callback after init succeeds. (#496 <https://github.com/ros2/rmw_fastrtps/issues/496>)
  * Handle typesupport errors on fetch. (#495 <https://github.com/ros2/rmw_fastrtps/issues/495>)
  * Contributors: Eduardo Ponz Segrelles, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.2.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Dec 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.1.0-1focal) focal; urgency=high

  * Check for correct context shutdown (#486 <https://github.com/ros2/rmw_fastrtps/issues/486>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)
  * Contributors: Ignacio Montesino Valle, José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (4.0.0-1focal) focal; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#467 <https://github.com/ros2/rmw_fastrtps/issues/467>)
    * Workaround when the client is gone before server sends response
    * Change add to the map to listener callback
  * Update the package.xml files with the latest Open Robotics maintainers (#459 <https://github.com/ros2/rmw_fastrtps/issues/459>)
  * Update Quality Declarations and READMEs (#455 <https://github.com/ros2/rmw_fastrtps/issues/455>)
    * Add QD links for dependencies to rmw_fastrtps_cpp QD
    * Provide external dependencies QD links
    * Update rmw_fastrtps README to use Fast DDS
    * Update rmw_fastrtps_cpp QD: Fast DDS & unit test
    * Update README rmw_fastrtps_cpp to QL2
  * Contributors: JLBuenoLopez-eProsima, Jaime Martin Losa, José Luis Bueno López, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 22 Oct 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.1.4-1focal) focal; urgency=high

  * Perform fault injection in all creation/destruction APIs. (#453 <https://github.com/ros2/rmw_fastrtps/issues/453>)
  * Ensure rmw_destroy_node() completes despite run-time errors. (#458 <https://github.com/ros2/rmw_fastrtps/issues/458>)
  * Update rmw_fastrtps_cpp and rmw_fastrtps_shared_cpp QDs to QL2. (#456 <https://github.com/ros2/rmw_fastrtps/issues/456>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Oct 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.1.3-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 29 Sep 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.1.2-1focal) focal; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes (#443 <https://github.com/ros2/rmw_fastrtps/issues/443>)
  * Added rmw_logging tests (#442 <https://github.com/ros2/rmw_fastrtps/issues/442>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 25 Sep 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.1.1-1focal) focal; urgency=high

  * Make service/client construction/destruction implementation compliant (#445 <https://github.com/ros2/rmw_fastrtps/issues/445>)
  * Make sure type can be unregistered successfully (#437 <https://github.com/ros2/rmw_fastrtps/issues/437>)
  * Contributors: Barry Xu, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.1.0-1focal) focal; urgency=high

  * Add tests for native entity getters. (#439 <https://github.com/ros2/rmw_fastrtps/issues/439>)
  * Avoid deadlock if graph update fails. (#438 <https://github.com/ros2/rmw_fastrtps/issues/438>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Sep 2020 00:00:00 -0000

ros-galactic-rmw-fastrtps-cpp (3.0.0-1focal) focal; urgency=high

  * Call Domain::removePublisher while failure occurs in create_publisher (#434 <https://github.com/ros2/rmw_fastrtps/issues/434>)
  * Contributors: Barry Xu

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 00:00:00 -0000


